%define upver       0.8.6
%define subver      10

Name:               qt-fsarchiver
Version:            %{upver}.%{subver}
Release:            %mkrel 1
Summary:            Qt GUI for fsarchiver
Group:              Archiving/Backup
License:            GPLv2+ and GPLv3+
URL:                https://qt-fsarchiver.sourceforge.io/
Source0:            https://sourceforge.net/projects/qt-fsarchiver/files/source/qt-fsarchiver/%{name}-%{upver}-%{subver}.tar.xz
BuildRequires:      cmake
BuildRequires:      qttools5
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5Gui)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      pkgconfig(ext2fs)
BuildRequires:      pkgconfig(uuid)
BuildRequires:      pkgconfig(blkid)
BuildRequires:      e2fsprogs
BuildRequires:      pkgconfig(libgcrypt)
BuildRequires:      pkgconfig(zlib)
BuildRequires:      pkgconfig(bzip2)
BuildRequires:      pkgconfig(libzstd)
BuildRequires:      pkgconfig(lzo2)
BuildRequires:      pkgconfig(liblzma)

Obsoletes:           qt4-fsarchiver
Provides:              qt4-fsarchiver = %{version}-%{release}

Obsoletes:          qt5-fsarchiver
Provides:             qt5-fsarchiver = %{version}-%{release}

Requires:           fsarchiver
Requires:           qt-fsarchiver-terminal
Requires:           sudo
Requires:           ccrypt >= 1.11


%description
FSArchiver is a system tool that allows you to save the contents of a
file-system to a compressed archive file. The file-system can be restored
on a partition which has a different size and it can be restored on a
different file-system. Unlike tar/dar, FSArchiver also creates the
file-system when it extracts the data to partitions. Everything is
checksummed in the archive in order to protect the data. If the archive
is corrupt, you just loose the current file, not the whole archive.

This is a GUI frontend for fsarchiver, written in Qt5.


%prep
%setup -qn %{name}

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#Install our desktop file.
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Qt-Fsarchiver
Name[tr]=Qt-Fsarchiver
Comment=File-system backup/deployment tool
Comment[fr]=Outil de sauvegarde/déploiement de système de fichiers
Comment[tr]=Dosya sistemi yedekleme/yükleme aracı
Exec=%{_sbindir}/%{name}
Icon=/usr/share/pixmaps/qt-fsarchiver.png
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Qt;Archiving;Filesystem;X-MandrivaLinux-System-Archiving-Backup;
EOF


# remove pre-compiled binaries
rm -rf %{buildroot}%{_sbindir}/ccguess
rm -rf %{buildroot}%{_sbindir}/de

%files
%{_sbindir}
%{_datadir}


%changelog
* Sun Sep 25 2022 tex - 8.6.10-1pclos2022
- new version

* Sat Sep 24 2022 tex- 0.8.5.21-2pclos2022
- drop wrapper and policykit

* Tue Sep 20 2022 tex - 0.8.5.21-1pclos2022
- new version: 0.8.5.21
